Subject: Re: bug#73645: Unable to update system due to lsof build failing on ffmpegthumbnailer and pam-mount

From: not emma <[email-masked]>
Date: Sun, 06 Oct 2024 17:15:04 +0000

hi, thank you for getting back on this. it likely is related to the upstream issue, and i'd be good on closing this out

Sent with Proton Mail secure email.

On Sunday, October 6th, 2024 at 9:29 AM, Z572 <[email-masked]> wrote:

> not emma via Bug reports for GNU Guix [email-masked] writes:
> 
> > it seems like lsof is failing the check phase after running guix pull earlier today, leaving me unable to update either the system
> > or home profile. the following output was from the logs:
> > 
> > phase `build' succeeded after 1.9 seconds starting phase` check'
> > make lib/dialects/linux/tests/epoll lib/dialects/linux/tests/eventfd lib/dialects/linux/tests/mmap lib/dialects/linux/tests/mq_fork
> > lib/dialects/linux/tests/mq_open lib/dialects/linux/tests/open_with_flags lib/dialects/linux/tests/pidfd lib/dialects/linux/tests/pipe
> > lib/dialects/linux/tests/pty lib/dialects/linux/tests/ux tests/LTbasic tests/LTbigf tests/LTdnlc tests/LTlock tests/LTnfs tests/LTnlink
> > tests/LTsock tests/LTszoff tests/LTunix tests/LTbasic2
> > make[1]: Entering directory '/tmp/guix-build-lsof-4.99.3.drv-0/source'
> > depbase=`echo lib/dialects/linux/tests/epoll.o | sed 's|[^/]*$|.deps/&|;s|\\.o$||'`;\
> > gcc -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -MT
> > lib/dialects/linux/tests/epoll.o -MD -MP -MF $depbase.Tpo -c -o lib/dialects/linux/tests/epoll.o lib/dialects/linux/tests/epoll.c &&\
> > mv -f $depbase.Tpo $depbase.Po
> > depbase=`echo lib/dialects/linux/tests/eventfd.o | sed 's|[^/]*$|.deps/&|;s|\\.o$||'`;\
> > gcc -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -MT
> > lib/dialects/linux/tests/eventfd.o -MD -MP -MF $depbase.Tpo -c -o lib/dialects/linux/tests/eventfd.o
> > lib/dialects/linux/tests/eventfd.c &&\
> > mv -f $depbase.Tpo $depbase.Po
> > depbase=`echo lib/dialects/linux/tests/mmap.o | sed 's|[^/]*$|.deps/&|;s|\\.o$||'`;\
> > gcc -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -MT
> > lib/dialects/linux/tests/mmap.o -MD -MP -MF $depbase.Tpo -c -o lib/dialects/linux/tests/mmap.o lib/dialects/linux/tests/mmap.c
> > &&\
> > mv -f $depbase.Tpo $depbase.Po
> > depbase=`echo lib/dialects/linux/tests/mq_fork.o | sed 's|[^/]*$|.deps/&|;s|\\.o$||'`;\
> > gcc -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -MT
> > lib/dialects/linux/tests/mq_fork.o -MD -MP -MF $depbase.Tpo -c -o lib/dialects/linux/tests/mq_fork.o
> > lib/dialects/linux/tests/mq_fork.c &&\
> > mv -f $depbase.Tpo $depbase.Po
> > depbase=`echo lib/dialects/linux/tests/mq_open.o | sed 's|[^/]*$|.deps/&|;s|\\.o$||'`;\
> > gcc -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -MT
> > lib/dialects/linux/tests/mq_open.o -MD -MP -MF $depbase.Tpo -c -o lib/dialects/linux/tests/mq_open.o
> > lib/dialects/linux/tests/mq_open.c &&\
> > mv -f $depbase.Tpo $depbase.Po
> > depbase=`echo lib/dialects/linux/tests/open_with_flags.o | sed 's|[^/]*$|.deps/&|;s|\\.o$||'`;\
> > gcc -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -MT
> > lib/dialects/linux/tests/open_with_flags.o -MD -MP -MF $depbase.Tpo -c -o lib/dialects/linux/tests/open_with_flags.o
> > lib/dialects/linux/tests/open_with_flags.c &&\
> > mv -f $depbase.Tpo $depbase.Po
> > depbase=`echo lib/dialects/linux/tests/pidfd.o | sed 's|[^/]*$|.deps/&|;s|\\.o$||'`;\
> > gcc -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -MT
> > lib/dialects/linux/tests/pidfd.o -MD -MP -MF $depbase.Tpo -c -o lib/dialects/linux/tests/pidfd.o lib/dialects/linux/tests/pidfd.c &&\
> > mv -f $depbase.Tpo $depbase.Po
> > depbase=`echo lib/dialects/linux/tests/pipe.o | sed 's|[^/]*$|.deps/&|;s|\\.o$||'`;\
> > gcc -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -MT
> > lib/dialects/linux/tests/pipe.o -MD -MP -MF $depbase.Tpo -c -o lib/dialects/linux/tests/pipe.o lib/dialects/linux/tests/pipe.c &&\
> > mv -f $depbase.Tpo $depbase.Po
> > depbase=`echo lib/dialects/linux/tests/pty.o | sed 's|[^/]*$|.deps/&|;s|\\.o$||'`;\
> > gcc -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -MT
> > lib/dialects/linux/tests/pty.o -MD -MP -MF $depbase.Tpo -c -o lib/dialects/linux/tests/pty.o lib/dialects/linux/tests/pty.c &&\
> > mv -f $depbase.Tpo $depbase.Po
> > depbase=`echo lib/dialects/linux/tests/ux.o | sed 's|[^/]*$|.deps/&|;s|\\.o$||'`;\
> > gcc -DHAVE_CONFIG_H -I. -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -MT
> > lib/dialects/linux/tests/ux.o -MD -MP -MF $depbase.Tpo -c -o lib/dialects/linux/tests/ux.o lib/dialects/linux/tests/ux.c &&\
> > mv -f $depbase.Tpo $depbase.Po
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTbasic-LTbasic.o -MD -MP -MF tests/.deps/LTbasic-LTbasic.Tpo -c -o tests/LTbasic-LTbasic.o
> > `test -f 'tests/LTbasic.c' || echo './'`tests/LTbasic.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTbasic-LTlib.o -MD -MP -MF tests/.deps/LTbasic-LTlib.Tpo -c -o tests/LTbasic-LTlib.o `test -f 'tests/LTlib.c' || echo './'`tests/LTlib.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTbigf-LTbigf.o -MD -MP -MF tests/.deps/LTbigf-LTbigf.Tpo -c -o tests/LTbigf-LTbigf.o `test -f 'tests/LTbigf.c' || echo './'`tests/LTbigf.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTbigf-LTlib.o -MD -MP -MF tests/.deps/LTbigf-LTlib.Tpo -c -o tests/LTbigf-LTlib.o `test -f 'tests/LTlib.c' || echo './'`tests/LTlib.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTdnlc-LTdnlc.o -MD -MP -MF tests/.deps/LTdnlc-LTdnlc.Tpo -c -o tests/LTdnlc-LTdnlc.o `test -f 'tests/LTdnlc.c' || echo './'`tests/LTdnlc.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTdnlc-LTlib.o -MD -MP -MF tests/.deps/LTdnlc-LTlib.Tpo -c -o tests/LTdnlc-LTlib.o `test -f 'tests/LTlib.c' || echo './'`tests/LTlib.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTlock-LTlock.o -MD -MP -MF tests/.deps/LTlock-LTlock.Tpo -c -o tests/LTlock-LTlock.o `test -f 'tests/LTlock.c' || echo './'`tests/LTlock.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTlock-LTlib.o -MD -MP -MF tests/.deps/LTlock-LTlib.Tpo -c -o tests/LTlock-LTlib.o `test -f 'tests/LTlib.c' || echo './'`tests/LTlib.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTnfs-LTnfs.o -MD -MP -MF tests/.deps/LTnfs-LTnfs.Tpo -c -o tests/LTnfs-LTnfs.o `test -f 'tests/LTnfs.c' || echo './'`tests/LTnfs.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTnfs-LTlib.o -MD -MP -MF tests/.deps/LTnfs-LTlib.Tpo -c -o tests/LTnfs-LTlib.o `test -f 'tests/LTlib.c' || echo './'`tests/LTlib.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTnlink-LTnlink.o -MD -MP -MF tests/.deps/LTnlink-LTnlink.Tpo -c -o tests/LTnlink-LTnlink.o `test - f 'tests/LTnlink.c' || echo './'`tests/LTnlink.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTnlink-LTlib.o -MD -MP -MF tests/.deps/LTnlink-LTlib.Tpo -c -o tests/LTnlink-LTlib.o `test -f 'tests/LTlib.c' || echo './'`tests/LTlib.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTsock-LTsock.o -MD -MP -MF tests/.deps/LTsock-LTsock.Tpo -c -o tests/LTsock-LTsock.o `test -f 'tests/LTsock.c' || echo './'`tests/LTsock.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTsock-LTlib.o -MD -MP -MF tests/.deps/LTsock-LTlib.Tpo -c -o tests/LTsock-LTlib.o `test -f 'tests/LTlib.c' || echo './'`tests/LTlib.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTszoff-LTszoff.o -MD -MP -MF tests/.deps/LTszoff-LTszoff.Tpo -c -o tests/LTszoff-LTszoff.o `test -f 'tests/LTszoff.c' || echo './'`tests/LTszoff.c
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTszoff-LTlib.o -MD -MP -MF tests/.deps/LTszoff-LTlib.Tpo -c -o tests/LTszoff-LTlib.o `test -f 'tests/LTlib.c' || echo './'`tests/LTlib.c
> > mv -f tests/.deps/LTdnlc-LTdnlc.Tpo tests/.deps/LTdnlc-LTdnlc.Po
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTunix-LTunix.o -MD -MP -MF tests/.deps/LTunix-LTunix.Tpo -c -o tests/LTunix-LTunix.o `test -f 'tests/LTunix.c' || echo './'`tests/LTunix.c
> > mv -f tests/.deps/LTbigf-LTbigf.Tpo tests/.deps/LTbigf-LTbigf.Po
> > gcc -DHAVE_CONFIG_H -I. -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -MT tests/LTunix-LTlib.o -MD -MP -MF tests/.deps/LTunix-LTlib.Tpo -c -o tests/LTunix-LTlib.o `test -f 'tests/LTlib.c' || echo './'`tests/LTlib.c
> > mv -f tests/.deps/LTbasic-LTbasic.Tpo tests/.deps/LTbasic-LTbasic.Po
> > gcc -DHAVE_CONFIG_H -I. -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -MT tests/LTbasic2-LTbasic2.o -MD -
> > MP -MF tests/.deps/LTbasic2-LTbasic2.Tpo -c -o tests/LTbasic2-LTbasic2.o `test -f 'tests/LTbasic2.c' || echo './'`tests/LTbasic2.c
> > mv -f tests/.deps/LTnfs-LTnfs.Tpo tests/.deps/LTnfs-LTnfs.Po
> > mv -f tests/.deps/LTlock-LTlock.Tpo tests/.deps/LTlock-LTlock.Po
> > mv -f tests/.deps/LTbigf-LTlib.Tpo tests/.deps/LTbigf-LTlib.Po
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -
> > fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/epoll
> > lib/dialects/linux/tests/epoll.o
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -
> > fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/eventfd
> > lib/dialects/linux/tests/eventfd.o
> > mv -f tests/.deps/LTnlink-LTnlink.Tpo tests/.deps/LTnlink-LTnlink.Po
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -
> > fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/mmap
> > lib/dialects/linux/tests/mmap.o
> > mv -f tests/.deps/LTdnlc-LTlib.Tpo tests/.deps/LTdnlc-LTlib.Po
> > mv -f tests/.deps/LTszoff-LTszoff.Tpo tests/.deps/LTszoff-LTszoff.Po
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -
> > fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/mq_fork
> > lib/dialects/linux/tests/mq_fork.o -lrt
> > mv -f tests/.deps/LTbasic-LTlib.Tpo tests/.deps/LTbasic-LTlib.Po
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -
> > fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/mq_open
> > lib/dialects/linux/tests/mq_open.o -lrt
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -
> > fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/open_with_flags
> > lib/dialects/linux/tests/open_with_flags.o
> > mv -f tests/.deps/LTbasic2-LTbasic2.Tpo tests/.deps/LTbasic2-LTbasic2.Po
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -
> > fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/pidfd
> > lib/dialects/linux/tests/pidfd.o
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -
> > fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/pipe
> > lib/dialects/linux/tests/pipe.o
> > mv -f tests/.deps/LTunix-LTunix.Tpo tests/.deps/LTunix-LTunix.Po
> > mv -f tests/.deps/LTlock-LTlib.Tpo tests/.deps/LTlock-LTlib.Po
> > mv -f tests/.deps/LTnfs-LTlib.Tpo tests/.deps/LTnfs-LTlib.Po
> > mv -f tests/.deps/LTnlink-LTlib.Tpo tests/.deps/LTnlink-LTlib.Po
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -
> > fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/pty
> > lib/dialects/linux/tests/pty.o
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -
> > fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/ux lib/dialects/linux/tests/ux.o
> > 
> > libtool: link: gcc -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/epoll
> > lib/dialects/linux/tests/epoll.o
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -DLT_BIGF -
> > D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTbasic tests/LTbasic-LTbasic.o tests/LTbasic-LTlib.o
> > mv -f tests/.deps/LTsock-LTlib.Tpo tests/.deps/LTsock-LTlib.Po
> > mv -f tests/.deps/LTsock-LTsock.Tpo tests/.deps/LTsock-LTsock.Po
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -DLT_BIGF -
> > D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTbigf tests/LTbigf-LTbigf.o tests/LTbigf-LTlib.o
> > libtool: link: gcc -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/mmap
> > lib/dialects/linux/tests/mmap.o
> > mv -f tests/.deps/LTszoff-LTlib.Tpo tests/.deps/LTszoff-LTlib.Po
> > libtool: link: gcc -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/eventfd
> > lib/dialects/linux/tests/eventfd.o
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -DLT_BIGF -
> > D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTdnlc tests/LTdnlc-LTdnlc.o tests/LTdnlc-LTlib.o
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -DLT_BIGF -
> > D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTlock tests/LTlock-LTlock.o tests/LTlock-LTlib.o
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -DLT_BIGF -
> > D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTnfs tests/LTnfs-LTnfs.o tests/LTnfs-LTlib.o
> > libtool: link: gcc -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/mq_fork
> > lib/dialects/linux/tests/mq_fork.o -lrt
> > libtool: link: gcc -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o
> > lib/dialects/linux/tests/open_with_flags lib/dialects/linux/tests/open_with_flags.o
> > libtool: link: gcc -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/mq_open
> > lib/dialects/linux/tests/mq_open.o -lrt
> > libtool: link: gcc -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/pidfd
> > lib/dialects/linux/tests/pidfd.o
> > libtool: link: gcc -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/pipe
> > lib/dialects/linux/tests/pipe.o
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -DLT_BIGF -
> > D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTnlink tests/LTnlink-LTnlink.o tests/LTnlink-LTlib.o
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -DLT_BIGF -
> > D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTsock tests/LTsock-LTsock.o tests/LTsock-LTlib.o
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -DLT_BIGF -
> > D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTszoff tests/LTszoff-LTszoff.o tests/LTszoff-LTlib.o
> > libtool: link: gcc -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/ux
> > lib/dialects/linux/tests/ux.o
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -I./include -g -
> > O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o tests/LTbasic2 tests/LTbasic2-LTbasic2.o liblsof.la
> > libtool: link: gcc -fvisibility=hidden -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o lib/dialects/linux/tests/pty
> > lib/dialects/linux/tests/pty.o
> > libtool: link: gcc -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTbasic tests/LTbasic-LTbasic.o tests/LTbasic-LTlib.o
> > libtool: link: gcc -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTbigf tests/LTbigf-LTbigf.o tests/LTbigf-LTlib.o
> > libtool: link: gcc -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTdnlc tests/LTdnlc-LTdnlc.o tests/LTdnlc-LTlib.o
> > libtool: link: gcc -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTnfs tests/LTnfs-LTnfs.o tests/LTnfs-LTlib.o
> > libtool: link: gcc -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTlock tests/LTlock-LTlock.o tests/LTlock-LTlib.o
> > mv -f tests/.deps/LTunix-LTlib.Tpo tests/.deps/LTunix-LTlib.Po
> > /gnu/store/ak41ci13apcxh5ahd8lc9rv6l7bqnwym-bash-minimal-5.1.16/bin/bash ./libtool --tag=CC --mode=link gcc -DLT_BIGF -
> > D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTunix tests/LTunix-LTunix.o tests/LTunix-LTlib.o
> > libtool: link: gcc -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTnlink tests/LTnlink-LTnlink.o tests/LTnlink-LTlib.o
> > libtool: link: gcc -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTsock tests/LTsock-LTsock.o tests/LTsock-LTlib.o
> > libtool: link: gcc -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTszoff tests/LTszoff-LTszoff.o tests/LTszoff-LTlib.o
> > libtool: link: gcc -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -DLSOF_VSTR=\"6.10.11\" -o tests/.libs/LTbasic2 tests/LTbasic2-LTbasic2.o
> > ./.libs/liblsof.so -Wl,-rpath -Wl,/gnu/store/gpksk8sdnylxkdyzanfizqy62a1hya41-lsof-4.99.3/lib
> > libtool: link: gcc -DLT_BIGF -D_FILE_OFFSET_BITS=64 -DLT_DEV64 -DLT_DIAL_linux -DLT_VERS=610011 -
> > DLT_DEF_LSOF_PATH=\"/tmp/guix-build-lsof-4.99.3.drv-0/source/lsof\" -I./include -g -O2 -D_FILE_OFFSET_BITS=64 -
> > DLSOF_VSTR=\"6.10.11\" -o tests/LTunix tests/LTunix-LTunix.o tests/LTunix-LTlib.o
> > make[1]: Leaving directory '/tmp/guix-build-lsof-4.99.3.drv-0/source'
> > make check-TESTS
> > make[1]: Entering directory '/tmp/guix-build-lsof-4.99.3.drv-0/source'
> > make[2]: Entering directory '/tmp/guix-build-lsof-4.99.3.drv-0/source'
> > PASS: tests/case-00-hello.bash
> > SKIP: lib/dialects/linux/tests/case-20-inet-socket-endpoint.bash
> > SKIP: lib/dialects/linux/tests/case-10-ux-socket-state.bash
> > PASS: tests/case-01-version.bash
> > SKIP: lib/dialects/linux/tests/case-10-mqueue.bash
> > SKIP: lib/dialects/linux/tests/case-20-inet6-ffffffff-handling.bash
> > PASS: tests/case-20-handle-missing-files.bash
> > SKIP: lib/dialects/linux/tests/case-20-mqueue-endpoint.bash
> > SKIP: lib/dialects/linux/tests/case-20-mmap.bash
> > PASS: lib/dialects/linux/tests/case-20-open-flags-path.bash
> > PASS: lib/dialects/linux/tests/case-20-open-flags-cx.bash
> > PASS: lib/dialects/linux/tests/case-20-open-flags-tmpf.bash
> > PASS: lib/dialects/linux/tests/case-20-pidfd-pid.bash
> > PASS: tests/case-20-fd-only-inclusion.bash
> > PASS: lib/dialects/linux/tests/case-20-epoll.bash
> > SKIP: lib/dialects/linux/tests/case-20-ux-socket-endpoint.bash
> > PASS: tests/case-20-offset-field.bash
> > PASS: tests/case-20-exit-status.bash
> > PASS: lib/dialects/linux/tests/case-20-ux-socket-endpoint-unaccepted.bash
> > PASS: lib/dialects/linux/tests/case-20-pipe-endpoint.bash
> > PASS: tests/LTbasic2
> > PASS: lib/dialects/linux/tests/case-20-pipe-no-close-endpoint.bash
> > PASS: tests/case-21-exit-Q-status.bash
> > PASS: lib/dialects/linux/tests/case-20-eventfd-endpoint.bash
> > PASS: lib/dialects/linux/tests/case-20-pty-endpoint.bash
> > PASS: tests/case-22-empty-process-name.bash
> > PASS: tests/LTbasic
> > SKIP: tests/LTnfs
> > PASS: tests/LTunix
> > SKIP: lib/dialects/linux/tests/case-20-inet6-socket-endpoint.bash
> > PASS: tests/LTnlink
> > PASS: tests/LTbigf
> > PASS: tests/LTszoff
> > FAIL: tests/LTlock
> > PASS: tests/LTdnlc
> > PASS: tests/case-20-repeat-count.bash
> > ============================================================================
> > Testsuite summary for lsof 4.99.3
> > ============================================================================
> > # TOTAL: 36
> > # PASS: 26
> > # SKIP: 9
> > # XFAIL: 0
> > # FAIL: 1
> > # XPASS: 0
> > # ERROR: 0
> > ============================================================================
> > See ./test-suite.log
> > ============================================================================
> > make[2]: *** [Makefile:4098: test-suite.log] Error 1
> > make[2]: Leaving directory '/tmp/guix-build-lsof-4.99.3.drv-0/source'
> > make[1]: *** [Makefile:4206: check-TESTS] Error 2
> > make[1]: Leaving directory '/tmp/guix-build-lsof-4.99.3.drv-0/source'
> > make: *** [Makefile:4663: check-am] Error 2
> > 
> > Test suite failed, dumping logs.
> > 
> > --- ./test-suite.log --------------------------------------------------------
> > 
> > ===================================
> > lsof 4.99.3: ./test-suite.log
> > ===================================
> > 
> > # TOTAL: 36
> > # PASS: 26
> > # SKIP: 9
> > # XFAIL: 0
> > # FAIL: 1
> > # XPASS: 0
> > # ERROR: 0
> > 
> > .. contents:: :depth: 2
> > 
> > SKIP: lib/dialects/linux/tests/case-10-mqueue.bash
> > ==================================================
> > 
> > root privileged is needed to run case-10-mqueue.bash, skipping
> > SKIP lib/dialects/linux/tests/case-10-mqueue.bash (exit status: 77)
> > 
> > SKIP: lib/dialects/linux/tests/case-10-ux-socket-state.bash
> > ===========================================================
> > 
> > nc does not support unix socket, skipping
> > SKIP lib/dialects/linux/tests/case-10-ux-socket-state.bash (exit status: 77)
> > 
> > SKIP: lib/dialects/linux/tests/case-20-inet6-ffffffff-handling.bash
> > ===================================================================
> > 
> > root privileged is needed to run case-20-inet6-ffffffff-handling.bash.
> > SKIP lib/dialects/linux/tests/case-20-inet6-ffffffff-handling.bash (exit status: 77)
> > 
> > SKIP: lib/dialects/linux/tests/case-20-inet6-socket-endpoint.bash
> > =================================================================
> > 
> > Maybe ipv6 stack is not available on this system, skipping
> > SKIP lib/dialects/linux/tests/case-20-inet6-socket-endpoint.bash (exit status: 77)
> > 
> > SKIP: lib/dialects/linux/tests/case-20-inet-socket-endpoint.bash
> > ================================================================
> > 
> > grep: warning: stray \ before -
> > nc does not support -4 option, skipping
> > SKIP lib/dialects/linux/tests/case-20-inet-socket-endpoint.bash (exit status: 77)
> > 
> > SKIP: lib/dialects/linux/tests/case-20-mmap.bash
> > ================================================
> > 
> > grep: warning: stray \ before /
> > grep: warning: stray \ before /
> > unshare: unshare failed: Operation not permitted
> > unshare is not supported on this platform, skipping
> > SKIP lib/dialects/linux/tests/case-20-mmap.bash (exit status: 77)
> > 
> > SKIP: lib/dialects/linux/tests/case-20-mqueue-endpoint.bash
> > ===========================================================
> > 
> > root privileged is needed to run case-20-mqueue-endpoint.bash, skipping
> > SKIP lib/dialects/linux/tests/case-20-mqueue-endpoint.bash (exit status: 77)
> > 
> > SKIP: lib/dialects/linux/tests/case-20-ux-socket-endpoint.bash
> > ==============================================================
> > 
> > nc does not support unix socket, skipping
> > SKIP lib/dialects/linux/tests/case-20-ux-socket-endpoint.bash (exit status: 77)
> > 
> > FAIL: tests/LTlock
> > ==================
> > 
> > LTlock ... lock mismatch: expected W, got " "
> > lock mismatch: expected R, got " "
> > lock mismatch: expected w, got " "
> > lock mismatch: expected r, got " "
> > FAIL tests/LTlock (exit status: 1)
> > 
> > SKIP: tests/LTnfs
> > =================
> > 
> > LTnfs ... ERROR!!! test file ./config.LTnfs7628 not found by lsof
> > Hint: the temporary path generated by this test might
> > not be on an NFS file system, or this test might be
> > unable to create a file on the NFS file system.
> > 
> > As a work-around use the -p option to specify a path to
> > a regular file (not a directory) on an NFS file system
> > to which this test will have read access.
> > 
> > See 00FAQ and 00TEST for more information.
> > SKIP tests/LTnfs (exit status: 77)
> > 
> > error: in phase 'check': uncaught exception:
> > %exception #<&invoke-error program: "make" arguments: ("check" "-j" "16") exit-status: 2 term-signal: #f stop-signal: #f>
> > phase `check' failed after 6.7 seconds
> > command "make" "check" "-j" "16" failed with status 2
> > build process 18 exited with status 256
> > 
> > Sent with Proton Mail secure email.
> 
> 
> maybe is https://github.com/lsof-org/lsof/issues/152
> 
> on ci.guix succeeded.